/*
  BB62-Demo
  
  Programm bewertet Spannung von LDR und NTC aus, 
  und steuert eine weisse bzw. blaue LED an.
  
  Hardware : BB62_Demo_Arduino, Arduino Uno R3
  
  DL2MAJ - 10-Jan-17, Version 01
  
 The circuit:
 * LCD RS pin to digital pin 12
 * LCD Enable pin to digital pin 11
 * LCD D4 pin to digital pin 5
 * LCD D5 pin to digital pin 4
 * LCD D6 pin to digital pin 3
 * LCD D7 pin to digital pin 2
 * LCD R/W pin to ground
 * 10K Trimmer:
 * ends to +5V and ground
 * wiper to LCD VO pin (pin 3)
 
 * NTC ends to ground and A0
 * R1 ends to A0 and +5V
 * R2 ends to digital pin 10 and LED blue
 * LED blue ends to R2 and ground
 
 * LDR ends to ground and A5
 * R3 ends to A5 and +5V
 * R4 ends to digital pin 6 and LED white
 * LED white ends to R4 and ground
 
 */

// include the library code:
#include <LiquidCrystal.h>

// define variables
int Licht;
int LichtGrenzwert = 650;
float voltageLicht;
int Temperatur;
int TemperaturGrenzwert = 630;
float voltageTemp;
float Usupply = 4.87;

// define Input/Output
byte weisseLED = 6;
byte blaueLED = 10;


// initialize the library with the numbers of the interface pins
LiquidCrystal lcd(12, 11, 5, 4, 3, 2);

void setup() {
  // initialize digital pins as output
  pinMode(weisseLED, OUTPUT);
  pinMode(blaueLED, OUTPUT);
  
  // initialize LCD
  // set up the LCD's number of columns and rows: 
  lcd.begin(16, 2);
  // position cursor on LCD
  lcd.setCursor(2,0);  // 3. Spalte, 1.Zeile
  // Print a message to the LCD.
  lcd.print("Arduino Demo");
  delay(2500);
  // position cursor on LCD
  lcd.setCursor(0,1);  // 1. Spalte, 2.Zeile
  lcd.print("DL2MAJ Jan. 2017");
  // Turn on the display:
  lcd.display();
  delay(2500);
}  
  
void loop() {
  // read the input on analog pin 0 (Temperatur):
  Temperatur = analogRead(A0);
  // Convert the analog reading (which goes from 0 - 1023) to a voltage (0 - 5V):
  voltageTemp = Temperatur * (Usupply / 1023.0);
  
  // read the input on analog pin 5 (Licht):
  Licht = analogRead(A5);
  // Convert the analog reading (which goes from 0 - 1023) to a voltage (0 - 5V):
  voltageLicht = Licht * (Usupply / 1023.0);
  
  // position cursor on LCD
  lcd.setCursor(0,0);  // 1. Spalte, 1.Zeile
  lcd.print("Licht:          ");
  lcd.setCursor(7,0);  // 1. Spalte, 1.Zeile
  lcd.print(Licht);
  lcd.print("/");
  lcd.print(voltageLicht);
  lcd.print("V");
  // position cursor on LCD
  lcd.setCursor(0,1);  // 1. Spalte, 2.Zeile
  lcd.print("Temp :          ");
  lcd.setCursor(7,1);  // 1. Spalte, 2.Zeile
  lcd.print(Temperatur);
  lcd.print("/");
  lcd.print(voltageTemp);
  lcd.print("V");
  
  if (Licht > LichtGrenzwert)
  {
    // switch ON weisse LED
    digitalWrite(weisseLED, HIGH);
  }
  else
  {
    // switch OFF weisse LED
    digitalWrite(weisseLED, LOW);
  }
  
  if (Temperatur < TemperaturGrenzwert)
  {
    // switch ON blaue LED
    digitalWrite(blaueLED, HIGH);
  }
  else
  {
    // switch OFF blaue LED
    digitalWrite(blaueLED, LOW);
  }
  
  delay(333);
       
  }

  
  
  
  



